Skip to main content

Verify Device Risk

Using this API will fetch the device risk.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

POST https://{tenantId}.{hostname}/digitanium/v4/riskbits/verify

HTTP request URL for SHIFT​

POST https://{hostname}/auth/realms/{tenantId}/kobilriskbits/resources-auth/verify
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No Parameter fields are required

Request body​

Field NameTypeDescription
riskNameStringName of the risk.
platformStringMention the platform.

Sample Request​

{
"riskName" : "JBreak",
"platform" : "ios"
}

Response​

Field NameTypeDescription
idStringUnique riskbitId
ratingLevelStringRating level of risk
scoreStringScore of the risk.
riskStringRisk name.
riskAndroidStringAndroid risk name.
riskIOSStringiOS risk name.
operationStringRisk operation name
realmIdStringTenant name

Sample Response​

[
{
"id": "34db8eb9-c1c4-4f14-a258-91eb9b9c37bf",
"ratingLevel": "E",
"score": "949-961",
"risk": "4.38",
"riskAndroid": "JBreak",
"riskIOS": "JBreak",
"operation": "OK",
"realmId": "demokc"
}
]

Response Status Information​

Status CodeStatusMessage
200OKSuccessfully created.
204No ContentNo Content.
401UnauthorizedHTTP 401 Unauthorized.